Ultimaker Cura 4 is not fully compatible with the Apple M1 chip

Tip: Download Ultimaker Cura 5 or higher, as it now fully supports the Apple M1 chip.

Ultimaker Cura 4 uses OpenGL libraries. A recent update of Mac OS to version 'Big Sur OS' in combination with new Apple M1 processing chips has introduced incompatibilities between the OpenGL libraries used, and the latest firmware used by the Macs.

You can read more about the Apple M1 chip on their website.

This means that Ultimaker Cura 4 is not fully supported on new Macs containing the M1 chip, resulting in visual and interface-related glitches.

Was this article helpful?
244 out of 298 found this helpful

Comments

0 comments

Article is closed for comments.